Get current station
GET
/v2/stations/currentAuthorization
api_key AuthorizationBearer <token>
API key for authentication. Use format: Bearer YOUR_API_KEY
In: header
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v2/stations/current"{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Assembly Station 1",
"api_key": "550e8400...",
"procedures": [
{
"id": "550e8400-e29b-41d4-a716-446655440002",
"name": "Assembly Test",
"runs_count": 42,
"deployment": {
"deployed_at": "2026-01-22T10:00:00Z",
"commit": {
"sha": "a1b2c3d4e5f6",
"message": "Update procedure",
"branch": "main"
},
"repository": {
"owner": "tofupilot",
"name": "procedures",
"provider": "github",
"gitlab_project_id": 12345
}
}
}
],
"organization_slug": "my-org",
"team": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
}
}{
"message": "Unauthorized",
"code": "UNAUTHORIZED",
"issues": []
}{
"message": "Forbidden",
"code": "FORBIDDEN",
"issues": []
}{
"message": "Internal server error",
"code": "INTERNAL_SERVER_ERROR",
"issues": []
}How is this guide?